#pragma once
#include "DirectXFramework.h"
#include "SceneGraph.h"
#include "SubMeshNode.h"

class SplitMeshNode : public SceneGraph
{
public:
	SplitMeshNode(wstring name, wstring modelName);
	bool Initialise(void);
	SceneGraphPointer AddMeshNode(shared_ptr<Node> node);

private:
	shared_ptr<SubMeshRenderer>		_renderer;

	wstring							_modelName;
	shared_ptr<ResourceManager>		_resourceManager;
	shared_ptr<Mesh>				_mesh;

	bool _isInit = false;
};

